summaryrefslogtreecommitdiffstats
path: root/wxGTK
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2011-05-14 12:58:54 +0000
committer Eric Hameleers <alien@slackware.com>2011-05-14 12:58:54 +0000
commit84341553f9384db9f6c0448e1db16abb18d19a20 (patch)
treea11a61f76cc5b7a264bd4a8393d99095453d368b /wxGTK
parentc0adc4528889c1b5d080f56ba1c28729cb66a209 (diff)
downloadasb-84341553f9384db9f6c0448e1db16abb18d19a20.tar.gz
asb-84341553f9384db9f6c0448e1db16abb18d19a20.tar.xz
Update to 2.8.12
Diffstat (limited to 'wxGTK')
-rwxr-xr-xwxGTK/build/wxGTK.SlackBuild55
1 files changed, 34 insertions, 21 deletions
diff --git a/wxGTK/build/wxGTK.SlackBuild b/wxGTK/build/wxGTK.SlackBuild
index 1920d5ac..2d2e5d34 100755
--- a/wxGTK/build/wxGTK.SlackBuild
+++ b/wxGTK/build/wxGTK.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2007-2009 Eric Hameleers, Eindhoven, NL
+# Copyright 2005, 2007, 2008, 2009, 2010, 2011 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -39,6 +39,10 @@
# * Update for Slackware 12.1
# 2.8.10-1: 14/may/2009 by Eric Hameleers <alien@slackware.com>
# * Update for Slackware 12.2
+# 2.8.11-1: 31/may/2010 by Eric Hameleers <alien@slackware.com>
+# * Update for Slackware 13.1
+# 2.8.12-1: 14/may/2011 by Eric Hameleers <alien@slackware.com>
+# * Update for Slackware 13.37
#
# Run 'sh wxGTK.SlackBuild' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -49,9 +53,8 @@
# Set initial variables:
PRGNAM=wxGTK
-VERSION=${VERSION:-2.8.10}
+VERSION=${VERSION:-2.8.12}
VERSION2=$( echo ${VERSION} | cut -d. -f1-2 )
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-alien}
@@ -80,28 +83,39 @@ SRCURL="http://downloads.sourceforge.net/wxwindows/${PRGNAM}-${VERSION}.tar.bz2"
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
case "$ARCH" in
i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
- s390) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
- powerpc) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
+ *) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
esac
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
+
# Create working directories:
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
@@ -145,7 +159,7 @@ echo "Extracting the source archive(s) for $PRGNAM..."
tar -xvf ${SOURCE}
cd ${PRGNAM}-${VERSION}
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+chmod -R u+w,go+r-w,a+X-s .
# Set OpenGL and Unicode flags for the ./configure :
[ "${UNICODE}" = "YES" ] && do_unicode="en" || do_unicode="dis"
@@ -187,11 +201,7 @@ rm -f $PKG/usr/bin/wx-config
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
-cat $SRCDIR/$(basename $0) | sed \
- -e "/^VERSION=/s/:-.*}/:-$VERSION}/" \
- -e "/^ARCH=/s/:-.*}/:-$ARCH}/" \
- -e "/^BUILD=/s/:-.*}/:-$BUILD}/" \
- > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc -type f -exec chmod 644 {} \;
# Compress the man page(s):
@@ -216,3 +226,6 @@ md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${
cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+# Restore the original umask:
+umask ${_UMASK_}
+